> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Update Asset

PUT https://{tenant}.atomicwork.com/api/v1/assets/{asset_id}
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/assets/putapi-v-1-assets-asset-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/assets/{asset_id}:
    put:
      operationId: putapi-v-1-assets-asset-id
      summary: Update Asset
      tags:
        - subpackage_assets
      parameters:
        - name: asset_id
          in: path
          description: assetId
          required: true
          schema:
            type: integer
            format: int64
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Assets_putapi_v1_assets__asset_id_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                asset_type_id:
                  type: integer
                  format: int64
                form_fields:
                  $ref: >-
                    #/components/schemas/ApiV1AssetsAssetIdPutRequestBodyContentApplicationJsonSchemaFormFields
                image_id:
                  type: integer
                  format: int64
              required:
                - asset_type_id
                - form_fields
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    ApiV1AssetsAssetIdPutRequestBodyContentApplicationJsonSchemaFormFields:
      type: object
      properties: {}
      title: ApiV1AssetsAssetIdPutRequestBodyContentApplicationJsonSchemaFormFields
    Assets_putapi_v1_assets__asset_id_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Assets_putapi_v1_assets__asset_id_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/assets/1"

payload = {
    "asset_type_id": 42,
    "image_id": 128
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/assets/1';
const options = {
  method: 'PUT',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"asset_type_id":42,"image_id":128}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/assets/1"

	payload := strings.NewReader("{\n  \"asset_type_id\": 42,\n  \"image_id\": 128\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/assets/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"asset_type_id\": 42,\n  \"image_id\": 128\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://{tenant}.atomicwork.com/api/v1/assets/1")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"asset_type_id\": 42,\n  \"image_id\": 128\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://{tenant}.atomicwork.com/api/v1/assets/1', [
  'body' => '{
  "asset_type_id": 42,
  "image_id": 128
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/assets/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"asset_type_id\": 42,\n  \"image_id\": 128\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "asset_type_id": 42,
  "image_id": 128
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/assets/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```